      subroutine classhab(nt,np)
      use module
! Definit la classe de l'habillage :
! hab=1 2t 2p
! hab=2 2t 1p
! hab=3 2t 0p
! hab=4 1t 2p
! hab=5 1t 1p
! hab=6 1t 0p
! hab=7 0t 2p
! hab=8 0t 1p
      hab=0
      if (mhab==0) return
      if (nt==2) then
         if (np==2) then
            hab=1
         else if (np==1) then
            hab=2
         else
            hab=3
         endif
      else if (nt==1) then
         if (np==2) then
            hab=4
         else if (np==1) then
            hab=5
         else
            hab=6
         endif
      else
         if (np==2) then
            hab=7
         else if (np==1) then
            hab=8
         endif
      endif
      return
      end
